Cudy
8-Port Gigabit Switch with USB-C Power Input, GS108U 2.0
- Weight
- 87.5 g
- Colour
- White
- Switch type
- Unmanaged
19,40 €
See the offerAd · Prices from partner stores, sorted cheapest first. We may earn a commission when you buy through our links; it never changes the order.Ad · Store prices, cheapest first. We may earn a commission.

Zyxel · Network Switch
Model GS1900-10HPMPN GS1900-10HP-GB0102FMPN GS1900-10HP-EU0101FMPN 3179EAN 4718937621217EAN 4718937587810
Lowest price
166,48 €
at Netzwerkartikel.deIn stock
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
1 store · prices in EUR · updated 6 Oct 2026, 17:41 UTC
Every store asks the same price.
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 17:41 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history is being collected. After 14 days of prices we will show whether today's price is good.
48 specifications from the manufacturer's data sheet
| Switch type | Managed |
|---|---|
| Switch layer | L2 |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| System event log | Yes |
| MIB support | RFC 1213, RFC 2819, RFC 1215, RFC 1493 |
| Basic switching RJ-45 Ethernet ports quantity | 8 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| SFP module slots quantity | 2 |
| Console port | RJ-45 |
| Networking standards | IEEE 802.1D, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.3, IEEE 802.3ab, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x |
|---|---|
| 10G support | No |
| Copper ethernet cabling technology | 10BASE-T, 100BASE-T, 1000BASE-T |
| MAC address table | 8000 entries |
|---|---|
| Switching capacity | 20 Gbit/s |
| Throughput | 14.88 Mpps |
| Jumbo frames | 9000 |
| IGMP snooping | Yes |
|---|---|
| Security algorithms | 802.1x RADIUS, SSL/TLS |
| Management protocols | SNMP, RMON, ICMP, Syslog |
|---|
| Rack mounting | No |
|---|---|
| Form factor | 1U |
| Product colour | Black |
| LED indicators | Yes |
| Wall mountable | Yes |
| Safety | LVD EN60950-1, BSMI CNS14336-1, CB IEC60950-1 |
| Buffer size | 525 KB |
|---|---|
| Mean time between failures (MTBF) | 801.113 h |
| Input current | 1.7 A |
|---|---|
| Input voltage | 54 V |
| Power consumption (typical) | 96.2 W |
| Power over Ethernet (PoE) | Yes |
|---|---|
| Power over Ethernet (PoE) ports quantity | 8 |
| Total Power over Ethernet (PoE) budget | 77 W |
| Operating temperature (T-T) | 0 - 50 °C |
|---|---|
| Storage temperature (T-T) | -40 - 70 °C |
| Operating relative humidity (H-H) | 10 - 95% |
| Heat dissipation | 65.472 BTU/h |
| Width | 250 mm |
|---|---|
| Depth | 104 mm |
| Height | 27 mm |
| Weight | 720 g |
| Package width | 302 mm |
|---|---|
| Package depth | 227 mm |
| Package height | 64 mm |
| Package weight | 1.53 kg |
| Certification | CE, FCC, C-Tick, BSMI CNS13438 |
|---|
| Harmonized System (HS) code | 85176990 |
|---|
What people say
Zyxel GS1900-10HP Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black
No reviews yet
Be the first to tell others how Zyxel GS1900-10HP Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black works for you.
Write the first reviewCudy
19,40 €
See the offer197,64 €
See the offerLevelOne
Model IGP-1091
674,25 €
See the offerLevelOne
Model GEU-1632
166,15 €
See the offerLevelOne
Model GEU-2432
208,00 €
See the offerNETGEAR
Model GS310TPv2
217,81 €
See the offerNETGEAR
Model GS324TPv2
356,57 €
See the offerNETGEAR
Model GS348TPv2
631,96 €
See the offer